/* html,
body {
  margin: 0;
  background-color: darkgrey;
  color: white;
  overflow: hidden;
  user-select: none;
  font-family: Impact, Haettenschweiler, "Arial Narrow Bold", sans-serif;
} */

#fight_screen {
  overflow: hidden;
}

#characters_layer {
  position: absolute;
  height: 100%;
  width: 100%;
  display: flex;
  justify-items: center;
  z-index: 1;
  pointer-events: none;
}

#characters_svg {
  width: min(100vh, 100vw);
  height: min(100vh, 100vw);
  width: 100%;
  height: 100%;
  margin: auto;
}

#full_screen {
  display: grid;
  grid-template-rows: 1fr 1fr;
  height: 100vh;
  width: 100vw;
  position: relative;
  box-sizing: border-box;
}

.character {
  width: 100%;
  height: 100%;
}

.head {
  width: min(40vw, 40vh);
  position: relative;
}

.face {
  width: min(40vw, 40vh);
}

.head.top {
  position: absolute;
  top: 0;
  right: 0;
}

.face.top {
  position: absolute;
  bottom: 0;
  right: 2%;
}

.hand {
  max-width: 20%;
}

.hand.top {
  max-width: 20%;
  max-height: 20%;
  position: absolute;
  right: 40%;
  top: 20%;
}

.hand.bottom {
  max-width: 20%;
  max-height: 20%;
  transform: scaleX(-1);
  position: absolute;
  right: 10%;
  bottom: 20%;
}

.player_screen.top {
  background-color: rgba(100, 0, 0, 0.5);
}

.player_screen.bottom {
  background-color: rgba(0, 0, 100, 0.5);
  /* z-index: -10; */
}

.result_text {
  /* visibility: hidden; */
  /* z-index: 5; */
}

#callouts_wrapper {
  position: absolute;
  z-index: 100;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  /* border: 2px solid red; */
  pointer-events: none;
}

#vs_callout {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

#vs_text {
  width: 30vh;
}

.callout_wrapper {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: grid;
  place-items: center;
  z-index: 8;
  pointer-events: none;
}

.callout {    
  padding: 1rem;
  color: white;
  /* background-color: darkgreen;
    border-radius: 1rem; */
  /* display: inline; */
  /* width: 10rem; */
  /* opacity: 0; */
  pointer-events: none;
}
#ready_question_text, #ready_exclamation_text {
  width: min(80vw, 80vh);
  height: min(80vw, 80vh);
}

/* #slap_callout {
  position: absolute;
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  pointer-events: none;
  user-select: none;
} */

#slap_text {
  width: min(75vh, 75vw);
  /* visibility: hidden; */
}

/* .hidden {
    display: none;
  } */

  #whiteout {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    user-select: none;
    pointer-events: none;
    background-color: white;
    z-index: 100;
  }

  #interrobang_text {
    width: min(75vw, 75vh);
  }
